Suporte ao OpenGL 4 no Manjaro Linux (Intel HD Graphics 520)

Já tentei atualizar drives e tudo mais, entretanto não aparece suporte ao OpenGL 4 na minha HD Graphics 520.

Meu processador é o i3 6006U de 6° geração, e os gráficos tem suporte ao OpenGL 4.5.

Você tem que instalar um pacote em específico para ativar o OpenGL mais recente e ele é diferente de acordo com a distro. Recomendo ver no canal do Sir Rob Linux.

1 Curtida

Aparece que tem o suporte, rodei o teste lá com o comando pro 4.5 mas a questão é que não consigo sair da versão 3.0 no sistema, pelo que me falaram era pra constar lá que o instalado deveria ser ao 4.5.

Poxa cara, que estranho hein, pior que o processo para atualizar é esse. Deve ser algum bug ai para não mostrar a versão mais recente do OpenGL. Um fato curioso, é que eu consegui rodar o glxgears com esse comando MESA_GL_VERSION_OVERRIDE=4.1COMPAT MESA_GLSL_VERSION_OVERRIDE=410 sendo que meu processador só suporta OpenGL 3.0.

Atualização: O comando só serve para enganar jogos e aplicativos que você usa uma versão mais recente, é muito bom para quem tem placas do meu tipo, mas não serve para checar versão.

1 Curtida

Eu justamente editei pra rodar no 4.5 e rodou os testes.

1 Curtida